# UserCreate

Creates a new user under a particular contract. **Please Note**: The password set here cannot be updated through the API currently. It is recommended that a new user log into the DCD and change their password.

```
knife ionoscloud user create (options)
```

## Available options:

### Required options:

* firstname
* lastname
* email
* password

```
    ionoscloud_url: --url URL
        the Ionoscloud API URL

    extra_config_file: --extra-config EXTRA_CONFIG_FILE_PATH, -e EXTRA_CONFIG_FILE_PATH
        path to the additional config file

    firstname: --firstname FIRSTNAME, -f FIRSTNAME
        firstname of the user. (required)

    lastname: --lastname LASTNAME, -l LASTNAME
        lastname of the user. (required)

    email: --email EMAIL, -e EMAIL
        an e-mail address for the user. (required)

    password: --password PASSWORD, -p PASSWORD
        a password for the user. (required)

    administrator: --admin ADMIN, -a ADMIN
        assigns the user have administrative rights.

    force_sec_auth: --sec-auth
        indicates if secure (two-factor) authentication should be forced for the user.

    ionoscloud_username: --username USERNAME, -u USERNAME
        your Ionoscloud username

    ionoscloud_password: --password PASSWORD, -p PASSWORD
        your Ionoscloud password

    ionoscloud_token: --token PASSWORD
        your Ionoscloud access token
```

## Example

```
knife ionoscloud user create --url URL --extra-config EXTRA_CONFIG_FILE_PATH --firstname FIRSTNAME --lastname LASTNAME --email EMAIL --password PASSWORD --admin ADMIN --sec-auth --username USERNAME --password PASSWORD --token PASSWORD
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/knife-plugin/subcommands/user-management/user_create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
